API ReferenceWorkflows
List runs (instances) of a workflow.
List runs (instances) of a workflow. - Rensei REST API operation reference.
GET
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
id*stringWorkflow id.
page?integerRange
1 <= value <= 9007199254740991pageSize?integerRange
1 <= value <= 100status?stringPaginated instances.
application/json- response
instances*array<>total*integerRange
-9007199254740991 <= value <= 9007199254740991page*integerRange
-9007199254740991 <= value <= 9007199254740991pageSize*integerRange
-9007199254740991 <= value <= 9007199254740991curl -X GET 'https://app.rensei.ai/api/workflows/string/instances'Example Response
{ "instances": [ { "id": "string", "workflowId": "string", "workspaceId": "string", "status": "string", "triggerType": "string", "triggerEvent": null, "definitionVersion": "string", "context": null, "error": "string", "isTestRun": true, "unmockedNodeIds": [ "string" ], "startedAt": "string", "completedAt": "string", "createdAt": "string", "updatedAt": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}Rotate the inbound signing secret, immediately invalidating the old secret.
Rotate the inbound signing secret, immediately invalidating the old secret. - Rensei REST API operation reference.
Manually trigger a published workflow.
Manually trigger a published workflow. - Rensei REST API operation reference.